libqt5webkit-devel-5.212.0-0.alpha2.1-rosa2016.1.i586.rpm


Advertisement

Description

libqt5webkit-devel - Development files for the Qt WebKit web browsing library

Property Value
Distribution ROSA 2016.1
Repository ROSA Main Updates i586
Package filename libqt5webkit-devel-5.212.0-0.alpha2.1-rosa2016.1.i586.rpm
Package name libqt5webkit-devel
Package version 5.212.0
Package release 0.alpha2.1-rosa2016.1
Package architecture i586
Package type rpm
Category Development/KDE and Qt
Homepage http://qt-project.org/
License LGPLv3+
Maintainer -
Download size 22.64 KB
Installed size 61.09 KB
Development files for the Qt WebKit web browsing library.

Alternatives

Package Version Architecture Repository
libqt5webkit-devel-5.8.0-2-rosa2016.1.i586.rpm 5.8.0 i586 ROSA Main
libqt5webkit-devel - - -

Requires

Name Value
devel(libQt5Core) -
devel(libQt5Gui) -
devel(libQt5Network) -
devel(libQt5Positioning) -
devel(libQt5Qml) -
devel(libQt5Quick) -
devel(libQt5Sensors) -
devel(libQt5WebChannel) -
devel(libX11) -
devel(libgcc_s) -
devel(libgio-2.0) -
devel(libglib-2.0) -
devel(libgobject-2.0) -
devel(libgstapp-1.0) -
devel(libgstaudio-1.0) -
devel(libgstbase-1.0) -
devel(libgstfft-1.0) -
devel(libgstpbutils-1.0) -
devel(libgstreamer-1.0) -
devel(libgsttag-1.0) -
devel(libgstvideo-1.0) -
devel(libicui18n) -
devel(libicuuc) -
devel(libjpeg) -
devel(libpng16) -
devel(libsqlite3) -
devel(libstdc++) -
devel(libwebp) -
devel(libxml2) -
devel(libxslt) -
devel(libz) -
libqt5webkit5 == 5.212.0-0.alpha2.1:2016.1
pkgconfig(Qt5Core) -
pkgconfig(Qt5Gui) -
pkgconfig(Qt5Network) -
qmake5 -

Provides

Name Value
devel(libQt5WebKit) -
libqt5webkit-devel == 5.212.0-0.alpha2.1:2016.1
pkgconfig(Qt5WebKit) == 5.212.0

Conflicts

Name Value
qmake5 < 5.6.0

Download

Type URL
Mirror mirror.rosalab.ru
Binary Package libqt5webkit-devel-5.212.0-0.alpha2.1-rosa2016.1.i586.rpm
Source Package qt5-qtwebkit-5.212.0-0.alpha2.1.src.rpm

Install Howto

  1. Enable ROSA Main Updates repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install libqt5webkit-devel rpm package:
    # urpmi libqt5webkit-devel

Files

Path
/usr/include/qt5/QtWebKit/QWebDatabase
/usr/include/qt5/QtWebKit/QWebElement
/usr/include/qt5/QtWebKit/QWebElementCollection
/usr/include/qt5/QtWebKit/QWebFullScreenRequest
/usr/include/qt5/QtWebKit/QWebFullScreenVideoHandler
/usr/include/qt5/QtWebKit/QWebHapticFeedbackPlayer
/usr/include/qt5/QtWebKit/QWebHistory
/usr/include/qt5/QtWebKit/QWebHistoryInterface
/usr/include/qt5/QtWebKit/QWebHistoryItem
/usr/include/qt5/QtWebKit/QWebKitPlatformPlugin
/usr/include/qt5/QtWebKit/QWebNotificationData
/usr/include/qt5/QtWebKit/QWebNotificationPresenter
/usr/include/qt5/QtWebKit/QWebPluginFactory
/usr/include/qt5/QtWebKit/QWebSecurityOrigin
/usr/include/qt5/QtWebKit/QWebSelectData
/usr/include/qt5/QtWebKit/QWebSelectMethod
/usr/include/qt5/QtWebKit/QWebSettings
/usr/include/qt5/QtWebKit/QWebSpellChecker
/usr/include/qt5/QtWebKit/QWebTouchModifier
/usr/include/qt5/QtWebKit/QtWebKit
/usr/include/qt5/QtWebKit/QtWebKitDepends
/usr/include/qt5/QtWebKit/QtWebKitVersion
/usr/include/qt5/QtWebKit/qtwebkitversion.h
/usr/include/qt5/QtWebKit/qwebdatabase.h
/usr/include/qt5/QtWebKit/qwebelement.h
/usr/include/qt5/QtWebKit/qwebfullscreenrequest.h
/usr/include/qt5/QtWebKit/qwebhistory.h
/usr/include/qt5/QtWebKit/qwebhistoryinterface.h
/usr/include/qt5/QtWebKit/qwebkitglobal.h
/usr/include/qt5/QtWebKit/qwebkitplatformplugin.h
/usr/include/qt5/QtWebKit/qwebpluginfactory.h
/usr/include/qt5/QtWebKit/qwebsecurityorigin.h
/usr/include/qt5/QtWebKit/qwebsettings.h
/usr/include/qt5/QtWebKit/5.212.0/
/usr/include/qt5/QtWebKit/5.212.0/QtWebKit/
/usr/include/qt5/QtWebKit/5.212.0/QtWebKit/private/qhttpheader_p.h
/usr/include/qt5/QtWebKit/5.212.0/QtWebKit/private/qwebdatabase_p.h
/usr/include/qt5/QtWebKit/5.212.0/QtWebKit/private/qwebelement_p.h
/usr/include/qt5/QtWebKit/5.212.0/QtWebKit/private/qwebhistory_p.h
/usr/include/qt5/QtWebKit/5.212.0/QtWebKit/private/qwebplugindatabase_p.h
/usr/include/qt5/QtWebKit/5.212.0/QtWebKit/private/qwebscriptworld_p.h
/usr/include/qt5/QtWebKit/5.212.0/QtWebKit/private/qwebsecurityorigin_p.h
/usr/lib/libQt5WebKit.so
/usr/lib/cmake/Qt5WebKit/Qt5WebKitConfig.cmake
/usr/lib/cmake/Qt5WebKit/Qt5WebKitConfigVersion.cmake
/usr/lib/cmake/Qt5WebKit/WebKitTargets-release.cmake
/usr/lib/cmake/Qt5WebKit/WebKitTargets.cmake
/usr/lib/pkgconfig/Qt5WebKit.pc
/usr/lib/qt5/mkspecs/modules/qt_lib_webkit.pri

Changelog

2018-12-04 - Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.212.0-0.alpha2.1
- (9091d28) Make sure to pass system optflags to cmake, not only qmake

See Also

Package Description
libqt5webkit5-5.212.0-0.alpha2.1-rosa2016.1.i586.rpm Qt WebKit web browsing library
libqt5webkitwidgets-devel-5.212.0-0.alpha2.1-rosa2016.1.i586.rpm Development files for the Qt WebKit Widgets library
libqt5webkitwidgets5-5.212.0-0.alpha2.1-rosa2016.1.i586.rpm Qt WebKit Widgets library
libqt5websockets-devel-5.11.2-1-rosa2016.1.i586.rpm Development files for the Qt 5 WebSockets library
libqt5websockets5-5.11.2-1-rosa2016.1.i586.rpm Qt 5 WebSockets library
libqt5webview-devel-5.11.2-1-rosa2016.1.i586.rpm Development files for the Qt WebView library
libqt5webview5-5.11.2-1-rosa2016.1.i586.rpm Qt WebView library
libqt5widgets-devel-5.11.2-0.2-rosa2016.1.i586.rpm Development files for version 5 of the Qt Widgets library
libqt5widgets5-5.11.2-0.2-rosa2016.1.i586.rpm Qt Widget library
libqt5x11extras-devel-5.11.2-1-rosa2016.1.i586.rpm Development files for the QtX11Extras library
libqt5x11extras5-5.11.2-1-rosa2016.1.i586.rpm Qt X11 Extras library
libqt5xcbqpa5-5.11.2-0.2-rosa2016.1.i586.rpm Qt XCB QPA library
libqt5xcbqpa5-egl-5.11.2-0.2-rosa2016.1.i586.rpm EGL support for the Qt XCB QPA library v5
libqt5xcbqpa5-glx-5.11.2-0.2-rosa2016.1.i586.rpm GLX support for the Qt XCB QPA library v5
libqt5xml-devel-5.11.2-0.2-rosa2016.1.i586.rpm Development files for version 5 of the Qt XML library
Advertisement
Advertisement